php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #25807 Cant`t configure with OpenSSL support
Submitted: 2003-10-09 12:32 UTC Modified: 2003-10-09 12:59 UTC
From: Richard dot Lacroix at USherbrooke dot ca Assigned:
Status: Not a bug Package: OpenSSL related
PHP Version: 4.3.4RC1 OS: Solaris 8
Private report: No CVE-ID: None
 [2003-10-09 12:32 UTC] Richard dot Lacroix at USherbrooke dot ca
Description:
------------
OpenSSL 9.9.7c, PHP 4.3.4RC1, Solaris 8, GCC 2.95.3

Can't configure PHP with Openssl support.

./configure --with-openssl=/opt/local/openssl
returns configure: error: libssl not found!

Reproduce code:
---------------
In the config.log file, I have:
configure:16214: checking for SSL_CTX_set_ssl_version in -lssl
configure:16233: gcc -o conftest -g 02 -D_POSIX_PTHREAD_SEMANTICS -R/opt/local/openssl/lib
-L /opt/local/openssl/lib ...etc...
Undefined                    first referenced
 symbol                        in file
RSA_site          /opt/local/openssl/lib/libssl.a(ssl_lib.o)
...
...
...
ld:fatal: Symbol referencing errors. No output written to conftest
collect2: ld return 1 exit status


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-10-09 12:59 UTC] elmicha@php.net
Please do not submit the same bug more than once. An existing
bug report already describes this very problem. Even if you feel
that your issue is somewhat different, the resolution is likely
to be the same. Because of this, we hope you add your comments
to the existing bug instead.

Thank you for your interest in PHP.

See http://bugs.php.net/bug.php?id=25719; it's fixed in the latest stable snapshot from http://snaps.php.net.
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Dec 06 03:03:34 2021 UTC